[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-commits
Subject:    [gentoo-commits] repo/gentoo:master commit in: net-im/synapse/
From:       "Sam James" <sam () gentoo ! org>
Date:       2022-08-31 21:53:21
Message-ID: 1661982773.79ff69723ddbf77835033b4a678b9a1e1398f53f.sam () gentoo
[Download RAW message or body]

commit:     79ff69723ddbf77835033b4a678b9a1e1398f53f
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Wed Aug 31 21:13:00 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 21:52:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79ff6972

net-im/synapse: add 1.66.0

There are two differences from previous releases:
- new dependency on dev-python/pydantic
- working tests with postgresql database, when postgres use flag is
  enabled

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/27096
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-im/synapse/Manifest              |   1 +
 net-im/synapse/synapse-1.66.0.ebuild | 126 +++++++++++++++++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/net-im/synapse/Manifest b/net-im/synapse/Manifest
index f7a873bf7c0f..fe06e89a3bd2 100644
--- a/net-im/synapse/Manifest
+++ b/net-im/synapse/Manifest
@@ -1,3 +1,4 @@
 DIST synapse-1.62.0.gh.tar.gz 7841903 BLAKE2B \
f3002798a3fccd1b7fc4a1a302d12dd0940727ce8e89bcab0fdda04d498dbc9e469d21e7815db75b3593fcdfa01557e6828a39e874e946ce1b43d51cfe459ee6 \
SHA512 2bf9264f08fab29e8707317b69c52a4234bb25443c342ba43a27e06c506bcca1a9bdb211a99802abbca551e4f4288f68775d4629493b39d58dfcc8d8d1ca8ab8
  DIST synapse-1.63.1.gh.tar.gz 7861575 BLAKE2B \
7f69f2620289aa2c6b846514ce086e0ce20d559179cded20cda43b6c2ef2ad36d3b3f3fd6b139d2237a4c002c92a820a4150e5d8b25218b17bf22b9999638c67 \
SHA512 eb3bfb22081e932b2b7168a2b656b2ba7cc656bffbf60eb169b8d187d2a742809e2c0d6170afcea2bcf40ae5042a7b2ce7d7438294167bcc48def71e2488e338
  DIST synapse-1.65.0.gh.tar.gz 7895758 BLAKE2B \
1c816dfb7982fc0462a4a3b84c19dd144e7ac16d6cadf1e73dc71002c234eed5945ad8162d69960eff1bab80a3396a1b78e0be2cc2dfee314f6fb39d0b91b098 \
SHA512 3ba9751f707d41a9e18d9fe63f9652c36712451d42953e2bd4add8c142418a2a47a2ce75da893832af9225b944dd7b275f6d744f6e70d468b7f143dd5ccb9137
 +DIST synapse-1.66.0.gh.tar.gz 7916982 BLAKE2B \
116d9f7dfd046ddc245ef1375bb3f01aad126fab8dedeb0e9172ce9b4bfa6c9757e241d9f0b2bad07525657e7a1f378d9385401436132c4ee6046629792a9840 \
SHA512 ebe8ab787d72592b395226490414f7dce5c250173be654dc6ce63deec3a7d718f8400cdc81dfb73ae331632bed4dfb5c6f09c64538f4bda8546db8fb75d728b7


diff --git a/net-im/synapse/synapse-1.66.0.ebuild \
b/net-im/synapse/synapse-1.66.0.ebuild new file mode 100644
index 000000000000..4c358e3f6a8d
--- /dev/null
+++ b/net-im/synapse/synapse-1.66.0.ebuild
@@ -0,0 +1,126 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..10} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=poetry
+
+inherit distutils-r1 multiprocessing optfeature systemd
+
+DESCRIPTION="Reference implementation of Matrix homeserver"
+HOMEPAGE="
+	https://matrix.org/
+	https://github.com/matrix-org/synapse/
+"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/matrix-org/${PN}.git"
+else
+	MY_PV="${PV/_rc/rc}"
+	SRC_URI="https://github.com/matrix-org/${PN}/archive/v${MY_PV}.tar.gz -> \
${P}.gh.tar.gz" +	S="${WORKDIR}/${PN}-${MY_PV}"
+	KEYWORDS="~amd64 ~ppc64"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="postgres systemd test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	acct-user/synapse
+	acct-group/synapse
+"
+RDEPEND="${DEPEND}
+	$(python_gen_cond_dep '
+		dev-python/attrs[${PYTHON_USEDEP}]
+		dev-python/bcrypt[${PYTHON_USEDEP}]
+		dev-python/bleach[${PYTHON_USEDEP}]
+		dev-python/canonicaljson[${PYTHON_USEDEP}]
+		dev-python/cryptography[${PYTHON_USEDEP}]
+		dev-python/frozendict[${PYTHON_USEDEP}]
+		dev-python/ijson[${PYTHON_USEDEP}]
+		>=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+		dev-python/jsonschema[${PYTHON_USEDEP}]
+		>=dev-python/matrix-common-1.2.1[${PYTHON_USEDEP}]
+		dev-python/msgpack[${PYTHON_USEDEP}]
+		dev-python/netaddr[${PYTHON_USEDEP}]
+		dev-python/packaging[${PYTHON_USEDEP}]
+		dev-python/phonenumbers[${PYTHON_USEDEP}]
+		dev-python/pillow[${PYTHON_USEDEP},webp]
+		dev-python/prometheus_client[${PYTHON_USEDEP}]
+		dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+		dev-python/pyasn1[${PYTHON_USEDEP}]
+		dev-python/pydantic[${PYTHON_USEDEP}]
+		dev-python/pymacaroons[${PYTHON_USEDEP}]
+		dev-python/pyopenssl[${PYTHON_USEDEP}]
+		dev-python/pyyaml[${PYTHON_USEDEP}]
+		dev-python/service_identity[${PYTHON_USEDEP}]
+		dev-python/signedjson[${PYTHON_USEDEP}]
+		dev-python/sortedcontainers[${PYTHON_USEDEP}]
+		dev-python/treq[${PYTHON_USEDEP}]
+		dev-python/twisted[${PYTHON_USEDEP}]
+		dev-python/typing-extensions[${PYTHON_USEDEP}]
+		dev-python/unpaddedbase64[${PYTHON_USEDEP}]
+		postgres? ( dev-python/psycopg:2[${PYTHON_USEDEP}] )
+		systemd? ( dev-python/python-systemd[${PYTHON_USEDEP}] )
+	')
+"
+BDEPEND="
+	test? (
+		$(python_gen_cond_dep '
+			dev-python/idna[${PYTHON_USEDEP}]
+			dev-python/parameterized[${PYTHON_USEDEP}]
+		')
+		postgres? ( dev-db/postgresql[server] )
+	)
+"
+
+src_test() {
+	if use postgres; then
+		initdb -D "${T}/pgsql" || die
+		pg_ctl -w -D "${T}/pgsql" start \
+			-o "-h '' -k '${T}'" || die
+		createdb -h "${T}" synapse_test || die
+
+		local -x SYNAPSE_POSTGRES=1
+		local -x SYNAPSE_POSTGRES_HOST="${T}"
+	fi
+
+	distutils-r1_src_test
+
+	if use postgres; then
+		pg_ctl -w -D "${T}/pgsql" stop || die
+	fi
+}
+
+python_test() {
+	"${EPYTHON}" -m twisted.trial -j "$(makeopts_jobs)" tests || die "Tests failed with \
${EPYTHON}" +}
+
+python_install() {
+	distutils-r1_python_install
+	keepdir /var/{lib,log}/synapse /etc/synapse
+	fowners synapse:synapse /var/{lib,log}/synapse /etc/synapse
+	fperms 0750 /var/{lib,log}/synapse /etc/synapse
+	newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+	systemd_dounit "${FILESDIR}/synapse.service"
+}
+
+pkg_postinst() {
+	optfeature "VoIP relaying on your homeserver with turn" net-im/coturn
+
+	einfo "In order to generate initial configuration run:"
+	einfo "sudo -u synapse synapse_homeserver \\"
+	einfo "    --server-name matrix.domain.tld \\"
+	einfo "    --config-path /etc/synapse/homeserver.yaml \\"
+	einfo "    --generate-config \\"
+	einfo "    --data-directory /var/lib/synapse \\"
+	einfo "    --report-stats=no"
+	einfo
+	einfo "See also upgrade notes:"
+	einfo "https://github.com/matrix-org/synapse/blob/develop/docs/upgrade.md"
+}


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic